import Vue from 'vue'
import App from './App.vue'
import router from './router'
import store from './store'
import ElementUI from 'element-ui'
import 'element-ui/lib/theme-chalk/index.css'
import './assets/styles/mobile.scss'
import musicApi from './api/music'

Vue.use(ElementUI)
Vue.config.productionTip = false

// 注册 API 服务
Vue.prototype.$api = musicApi

// 添加全局加载状态
Vue.component('el-loading', {
  template: '<div v-if="loading" class="el-loading-mask"><i class="el-icon-loading"></i></div>',
  data() {
    return {
      loading: false
    }
  }
})

// 创建 Vue 实例前先恢复状态
store.dispatch('restorePlayState').finally(() => {
  new Vue({
    router,
    store,
    render: h => h(App)
  }).$mount('#app')
}) 