import Vue from 'vue'
import VueRouter from 'vue-router'
import Discover from '../views/Discover.vue'
import Playlist from '../views/Playlist.vue'
import MyMusic from '../views/MyMusic.vue'

Vue.use(VueRouter)

const routes = [
  {
    path: '/',
    redirect: '/discover'
  },
  {
    path: '/discover',
    name: 'Discover',
    component: Discover
  },
  {
    path: '/playlist/:id',
    name: 'Playlist',
    component: Playlist
  },
  {
    path: '/my-music',
    name: 'MyMusic',
    component: MyMusic
  }
]

const router = new VueRouter({
  mode: 'history',
  base: process.env.BASE_URL,
  routes
})

export default router 