App({
  globalData: {
    uid: null,
    userInfo: null
  },

  async onLaunch() {
    try {
      // 尝试获取用户信息
      const res = await this.getUserAccount()
      if (res.data.code === 200 && res.data.account?.id) {
        this.globalData.uid = res.data.account.id
        this.globalData.userInfo = res.data.profile
      } else {
        console.error('获取用户信息失败')
      }
    } catch (error) {
      console.error('初始化用户信息失败:', error)
    }
  },

  async getUserAccount() {
    const musicApi = require('./api/music').default
    return await musicApi.getUserAccount()
  }
}) 