// 这个文件用于生成所需的 PNG 图标文件
const fs = require('fs');
const path = require('path');
const { createCanvas } = require('canvas');

const icons = {
  discover: {
    normal: '#999999',
    active: '#ff3a3a',
    path: 'M12 10.9c-.61 0-1.1.49-1.1 1.1s.49 1.1 1.1 1.1c.61 0 1.1-.49 1.1-1.1s-.49-1.1-1.1-1.1zM12 2C6.48 2 2 6.48 2 12s4.48 10 10 10 10-4.48 10-10S17.52 2 12 2zm2.19 12.19L6 18l3.81-8.19L18 6l-3.81 8.19z'
  },
  playlist: {
    normal: '#999999',
    active: '#ff3a3a',
    path: 'M3 13h2v-2H3v2zm0 4h2v-2H3v2zm0-8h2V7H3v2zm4 4h14v-2H7v2zm0 4h14v-2H7v2zM7 7v2h14V7H7z'
  },
  music: {
    normal: '#999999',
    active: '#ff3a3a',
    path: 'M12 3v10.55c-.59-.34-1.27-.55-2-.55-2.21 0-4 1.79-4 4s1.79 4 4 4 4-1.79 4-4V7h4V3h-6z'
  }
};

// 为每个图标创建正常和激活状态的 PNG 文件
Object.entries(icons).forEach(([name, config]) => {
  ['normal', 'active'].forEach(state => {
    const canvas = createCanvas(24, 24);
    const ctx = canvas.getContext('2d');
    
    // 绘制图标
    ctx.fillStyle = config[state];
    const path = new Path2D(config.path);
    ctx.fill(path);
    
    // 保存为 PNG
    const buffer = canvas.toBuffer('image/png');
    const fileName = state === 'normal' ? `${name}.png` : `${name}-active.png`;
    fs.writeFileSync(path.join(__dirname, fileName), buffer);
  });
}); 