Component({
  properties: {
    show: {
      type: Boolean,
      value: false
    },
    playlist: {
      type: Array,
      value: []
    },
    currentSong: {
      type: Object,
      value: {}
    }
  },

  methods: {
    handleClose() {
      this.triggerEvent('close')
    },

    handlePlay(e) {
      const { song } = e.currentTarget.dataset
      this.triggerEvent('play', { song })
    },

    handleClear() {
      wx.showModal({
        title: '提示',
        content: '确定要清空播放列表吗？',
        success: (res) => {
          if (res.confirm) {
            this.triggerEvent('clear')
          }
        }
      })
    },

    handleRemove(e) {
      const { index } = e.currentTarget.dataset
      this.triggerEvent('remove', { index })
    },

    getArtists(artists) {
      return artists?.map(a => a.name).join(' / ') || '未知歌手'
    },

    // 阻止滑动穿透
    preventDefault() {
      return false
    }
  }
}) 