Component({
  properties: {
    songs: {
      type: Array,
      value: []
    },
    currentSong: {
      type: Object,
      value: {}
    }
  },

  methods: {
    handleTap(e) {
      const song = e.currentTarget.dataset.song
      console.log('点击歌曲:', song)
      if (song && song.id) {
        this.triggerEvent('play', { song })
      }
    },

    formatArtists(artists = []) {
      return artists.map(ar => ar.name).join(' / ')
    },

    formatDuration(ms) {
      if (!ms) return '00:00'
      const minutes = Math.floor(ms / 1000 / 60)
      const seconds = Math.floor((ms / 1000) % 60)
      return `${minutes.toString().padStart(2, '0')}:${seconds.toString().padStart(2, '0')}`
    }
  }
}) 